org.apache.ignite.spi.discovery

## Interface DiscoverySpiDataExchange

    public interface DiscoverySpiDataExchange

Handler for initial data exchange between Ignite nodes. Data exchange is initiated by a new node when it tries to join topology and finishes before it actually joins.

### Method Summary

Methods
`Map<Integer,Serializable>` `collect(UUID joiningNodeId)` Collects data from all components.
`void` `onExchange(UUID joiningNodeId, UUID nodeId, Map<Integer,Serializable> data)` Notifies discovery manager about data received from remote node.

### Method Detail

#### collect

    Map<Integer,Serializable> collect(UUID joiningNodeId)

Collects data from all components. This method is called both on new node that joins topology to transfer its data to existing nodes and on all existing nodes to transfer their data to new node.

Parameters:
  `joiningNodeId` - ID of new node that joins topology.
Returns:
  Collection of discovery data objects from different components.

#### onExchange

    void onExchange(UUID joiningNodeId,
                  UUID nodeId,
                  Map<Integer,Serializable> data)

Notifies discovery manager about data received from remote node.

Parameters:
  `joiningNodeId` - ID of new node that joins topology.
  `nodeId` - ID of the node provided data.
  `data` - Collection of discovery data objects from different components.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015